Package org.apache.jorphan.reflect

# Interface ServiceLoadExceptionHandler<S>

Type Parameters:
  `S` - type of the service

All Known Implementing Classes:
  `CollectServiceLoadExceptionHandler`, `IgnoreServiceLoadExceptionHandler`, `LogAndIgnoreServiceLoadExceptionHandler`, `RethrowServiceLoadExceptionHandler`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface @API(status=EXPERIMENTAL, since="5.6") public interface ServiceLoadExceptionHandler<S>
Service loading might fail (e.g. due to a missing dependency). This handler enables client code factor the failure handing.

Since:
  5.6
See Also:
  - `IgnoreServiceLoadExceptionHandler`
  - `LogAndIgnoreServiceLoadExceptionHandler`
  - `RethrowServiceLoadExceptionHandler`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handle(Class<? extends S> service, String className, Throwable throwable)`

- ## Method Details

  - ### handle

    void handle(Class<? extends S> service, String className, Throwable throwable)